Subject: bug#34138: 27.0.50; Delayed display of PDF file images

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Jan 2019 17:32:47 +0200

> From: Stephen Berman <[email-masked]>
> Date: Sun, 20 Jan 2019 15:55:01 +0100
> Cc: [email-masked], Andreas Politz <[email-masked]>,
> 	Tassilo Horn <[email-masked]>
> 
> > It seems that 'doc-view-new-window-function' fails in some way.  This
> > time I have to CC Tassilo.  Maybe he has a clue.
> 
> I stepped through that function with Edebug but that failed to reproduce
> the problem, instead, as expected, the "Welcome to DocView!"  message
> was briefly shown in the buffer and then then image.

I think that's expected, since you said that pressing a key ends the
delay immediately.  And stepping with Edebug requires that you type
keys.

If you configure blink-cursor-mode to never stop blinking, does the
problem go away, per chance?